<?php
//==============
// CERRAR SESI�N
//==============

$_GET['cerrar'] = isset($_GET['cerrar']) ? $_GET['cerrar'] : NULL;

if($_GET['cerrar']=='sesion'){

	// GUARDAMOS EN EL LOG DE LA BD
	$tipo_registro_log = 7;
	$datos_usuario_registro_log = $db->row('usuarios','*',"id='{$_SESSION['usuario_procare360_id']}'");
	$id_usuario_registro_log = $datos_usuario_registro_log->id;
	$slug_usuario_registro_log = $datos_usuario_registro_log->slug;
	$nombre_completo_registro_log = $datos_usuario_registro_log->nombre_completo;
	$email_registro_log = $datos_usuario_registro_log->email;
	$telefono_registro_log = $datos_usuario_registro_log->telefono;
	$region_registro_log = $datos_usuario_registro_log->region;
	$comuna_registro_log = $datos_usuario_registro_log->comuna;
	$fecha_registro_log = date('Y-m-d H:i:s');

	$datos_registro_log = array(
		'tipo' => @$tipo_registro_log+0,
		'usuario' => @$id_usuario_registro_log+0,
		'slug_usuario' => $db->string($slug_usuario_registro_log),
		'fecha' => $db->string($fecha_registro_log),
		'nombre_completo' => $db->string($nombre_completo_registro_log),
		'email' => $db->string($email_registro_log),
		'telefono' => $db->string($telefono_registro_log),
		'region' => @$region_registro_log+0,
		'comuna' => @$comuna_registro_log+0
		);

	$db->insert('logs',$datos_registro_log);

   session_unset();
   session_destroy();

	setcookie('cookmail_alternativa', '', time()-8640000, '/');
	setcookie('cookclave_alternativa', '', time()-8640000, '/');
	setcookie('cookmail_rec_datos_alternativa', '', time()-8640000, '/');	
				
   header('Location: inicio'); 
   exit;
}

//=====================
// FIN CIERRE DE SESI�N
//=====================

//=================
// ACCESO AUSUARIOS
//=================

$_COOKIE['cookmail_alternativa'] = isset($_COOKIE['cookmail_alternativa']) ? $_COOKIE['cookmail_alternativa'] : NULL;
$_COOKIE['cookclave_alternativa'] = isset($_COOKIE['cookclave_alternativa']) ? $_COOKIE['cookclave_alternativa'] : NULL;
$_COOKIE['recordar_datos'] = isset($_COOKIE['recordar_datos']) ? $_COOKIE['recordar_datos'] : NULL;

// Iniciar sesi�n por cookies
if ($_COOKIE['cookmail_alternativa']!='' && $_COOKIE['cookclave_alternativa']!=''){

	$cookclave_alternativa = funcion::encriptar($_COOKIE['cookclave_alternativa']);

	$acceder = $db->row('usuarios','*',"email='{$_COOKIE['cookmail_alternativa']}' AND clave='{$cookclave_alternativa}'");
	if(isset($acceder)){ 

				$_SESSION['usuario_procare360_id'] = $acceder->id;
				$_SESSION['usuario_procare360_usuario'] = $acceder->usuario;
				$_SESSION['usuario_procare360_email'] = $acceder->email;
				$_SESSION['usuario_procare360_slug'] = $acceder->slug;
				$_SESSION['usuario_procare360_socio'] = $acceder->socio;
				$_SESSION['usuario_procare360_procare360'] = $acceder->abonado;

				// GUARDAMOS EN EL LOG DE LA BD
				$tipo_registro_log = 1;
				$datos_usuario_registro_log = $db->row('usuarios','*',"id='{$_SESSION['usuario_procare360_id']}'");  
			    $id_usuario_registro_log = $datos_usuario_registro_log->id;
			    $slug_usuario_registro_log = $datos_usuario_registro_log->slug;
			    $nombre_completo_registro_log = $datos_usuario_registro_log->nombre_completo;
			    $email_registro_log = $datos_usuario_registro_log->email;
			    $telefono_registro_log = $datos_usuario_registro_log->telefono;
			    $region_registro_log = $datos_usuario_registro_log->region;
			    $comuna_registro_log = $datos_usuario_registro_log->comuna;
			    $fecha_registro_log = date('Y-m-d H:i:s');

				$datos_registro_log = array(
					'tipo' => @$tipo_registro_log+0,
					'usuario' => @$id_usuario_registro_log+0,
					'slug_usuario' => $db->string($slug_usuario_registro_log),
					'fecha' => $db->string($fecha_registro_log),
					'nombre_completo' => $db->string($nombre_completo_registro_log),
					'email' => $db->string($email_registro_log),
					'telefono' => $db->string($telefono_registro_log),
					'region' => @$region_registro_log+0,
					'comuna' => @$comuna_registro_log+0
					);

				$db->insert('logs',$datos_registro_log);

	}
}

$_POST['email_acceso'] = isset($_POST['email_acceso']) ? $_POST['email_acceso'] : NULL;
$_POST['clave_acceso'] = isset($_POST['clave_acceso']) ? $_POST['clave_acceso'] : NULL;
$_POST['recordar_datos'] = isset($_POST['recordar_datos']) ? $_POST['recordar_datos'] : NULL;

// Iniciar la sesi�n
if ($_POST['email_acceso'] && $_POST['clave_acceso']){

	// Limpiamos los datos
	$email_acceso = funcion::limpiar($_POST['email_acceso']);
	$clave_acceso = funcion::limpiar($_POST['clave_acceso']);
	$clave_acceso = MD5($clave_acceso);
	

	$acceder = $db->row('usuarios','*',"email='{$email_acceso}'");
	
	$mipass = funcion::desencriptar($acceder->clave); 
	
	
	if(isset($acceder) AND $mipass===$clave_acceso){

				$_SESSION['usuario_procare360_id'] = $acceder->id;
				$_SESSION['usuario_procare360_usuario'] = $acceder->usuario;
				$_SESSION['usuario_procare360_nombre'] = $acceder->nombre;
				$_SESSION['usuario_procare360_email'] = $acceder->email;
				$_SESSION['usuario_procare360_slug'] = $acceder->slug;
				$_SESSION['usuario_procare360_socio'] = $acceder->socio;
				$_SESSION['usuario_procare360_procare360'] = $acceder->abonado;
				
				// Forzamos el recordar datos
				// $_POST['recordar_datos']='si';
				/////////////////////////////
				
				if($_POST['recordar_datos']=='si'){
				setcookie("cookmail_alternativa", $email_acceso, time()+8640000, "/");
				setcookie("cookclave_alternativa", $clave_acceso, time()+8640000, "/");
				setcookie("cookmail_rec_datos_alternativa", "si", time()+8640000, "/");
				}

				// GUARDAMOS EN EL LOG DE LA BD
				$tipo_registro_log = 1;
				$datos_usuario_registro_log = $db->row('usuarios','*',"id='{$_SESSION['usuario_procare360_id']}'"); 
			    $id_usuario_registro_log = $datos_usuario_registro_log->id;
			    $slug_usuario_registro_log = $datos_usuario_registro_log->slug;
			    $nombre_completo_registro_log = $datos_usuario_registro_log->nombre_completo;
			    $email_registro_log = $datos_usuario_registro_log->email;
			    $telefono_registro_log = $datos_usuario_registro_log->telefono;
			    $region_registro_log = $datos_usuario_registro_log->region;
			    $comuna_registro_log = $datos_usuario_registro_log->comuna;
			    $fecha_registro_log = date('Y-m-d H:i:s');

				$datos_registro_log = array(
					'tipo' => @$tipo_registro_log+0,
					'usuario' => @$id_usuario_registro_log+0,
					'slug_usuario' => $db->string($slug_usuario_registro_log),
					'fecha' => $db->string($fecha_registro_log),
					'nombre_completo' => $db->string($nombre_completo_registro_log),
					'email' => $db->string($email_registro_log),
					'telefono' => $db->string($telefono_registro_log),
					'region' => @$region_registro_log+0,
					'comuna' => @$comuna_registro_log+0
					);

				$db->insert('logs',$datos_registro_log);

				header('Location:'.WEB.'perfil');
				exit;
	} else {
		// Si fall� el logeo lo enviamos a la p�gina de acceso indicando el error
		header('Location:'.WEB.'login?m=1');
		exit;
	}
}

//=======================
// FIN DE ACCESO USUARIOS
//=======================
?>